Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.query
Class DrillExpandMemberExt

    java.lang.Object
      com.tonbeller.jpivot.core.ExtensionSupport
          com.tonbeller.jpivot.olap.query.DrillExpandMemberExt

All Implemented Interfaces:
  Extension, DrillExpandMember

    public class DrillExpandMemberExt

extends ExtensionSupport
implements DrillExpandMember

Author:
  hh

Field Summary

Fields inherited from interface com.tonbeller.jpivot.olap.navi.DrillExpandMember
`ID`

Constructor Summary
`DrillExpandMemberExt()` Constructor sets ID

Method Summary
`boolean` | `canCollapse(Member member)` true if member has children that are currently displayed.
`boolean` | `canExpand(Member member)` true if member has children and is not currently expanded
`void` | `collapse(Member member)` collapses member
`void` | `expand(Member member)` expands member

Methods inherited from class com.tonbeller.jpivot.core.ExtensionSupport
`decorate, getId, getModel, modelInitialized, setId, setModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.jpivot.core.Extension
`decorate, getId, modelInitialized, setModel`

Constructor Detail

### DrillExpandMemberExt

    public DrillExpandMemberExt()

  Constructor sets ID

Method Detail

### canExpand

    public boolean canExpand(Member member)

  Description copied from interface: `DrillExpandMember`
  true if member has children and is not currently expanded

  Specified by:
    `canExpand` in interface `DrillExpandMember`
  Parameters:
    `member` - the membber to be checked for potential expansion
  Returns:
    true if the member can be expanded
  See Also:
    `com.tonbeller.jpivot.olap.navi.DrillExpand#canExpand(Member)`

### canCollapse

    public boolean canCollapse(Member member)

  Description copied from interface: `DrillExpandMember`
  true if member has children that are currently displayed. I.e. member is expanded.

  Specified by:
    `canCollapse` in interface `DrillExpandMember`
  Parameters:
    `member` - member to be expanded
  Returns:
    true if the member can be collapsed
  See Also:
    `com.tonbeller.jpivot.olap.navi.DrillExpand#canCollapse(Member)`

### expand

    public void expand(Member member)

  Description copied from interface: `DrillExpandMember`
  expands member

  Specified by:
    `expand` in interface `DrillExpandMember`
  Parameters:
    `member` - member to be expanded
  See Also:
    `com.tonbeller.jpivot.olap.navi.DrillExpand#expand(Member)`

### collapse

    public void collapse(Member member)

  Description copied from interface: `DrillExpandMember`
  collapses member

  Specified by:
    `collapse` in interface `DrillExpandMember`
  Parameters:
    `member` - member to be collapsed
  See Also:
    `com.tonbeller.jpivot.olap.navi.DrillExpand#collapse(Member)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD